#include "libc.c"

struct ST {
   short a;
   short b;
   short c;
};

int
main()
{
   short a;
   short array[10];

   printf("sizeof(char) == %d\r\n", sizeof(char)); 
   printf("sizeof(short) == %d\r\n", sizeof(short)); 
   printf("sizeof(int) == %d\r\n", sizeof(int)); 
   printf("sizeof(float) == %d\r\n", sizeof(float)); 
   printf("sizeof(long) == %d\r\n", sizeof(long)); 
   printf("sizeof(double) == %d\r\n", sizeof(double)); 
   printf("sizeof(struct ST) == %d\r\n", sizeof(struct ST)); 
   printf("sizeof(a) == %d\r\n", sizeof(a));
   printf("sizeof(array) == %d\r\n", sizeof(array));
   printf("sizeof(1+1) == %d\r\n", sizeof(1+1));
   printf("done...\r\n\r\n");

   return 0;
}

